Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.j2ee.statistics
Interface Statistic

All Known Subinterfaces:
  BoundaryStatistic, BoundedRangeStatistic, CountStatistic, MapStatistic, RangeStatistic, StringStatistic, TimeStatistic

All Known Implementing Classes:
  BoundaryStatisticImpl, BoundedRangeStatisticImpl, CountStatisticImpl, MapStatisticImpl, RangeStatisticImpl, StatisticImpl, StringStatisticImpl, TimeStatisticImpl

public interface Statistic

The Statistic model and its sub-models specify the data models which are requried to be used to provide the performance data described by the specific attributes in the Stats models.

Method Summary
`java.lang.String` | `getDescription()` A human-readable description of the Statistic.
`long` | `getLastSampleTime()` The time of the last measurement represented as a long, whose value is the number of milliseconds since January 1, 1970, 00:00:00.
`java.lang.String` | `getName()` The name of this Statistic.
`long` | `getStartTime()` The time of the first measurement represented as a long, whose value is the number of milliseconds since January 1, 1970, 00:00:00.
`java.lang.String` | `getUnit()` The unit of measurement for this Statistic.

Method Detail

### getName

    public java.lang.String getName()

  The name of this Statistic.

### getUnit

    public java.lang.String getUnit()

  The unit of measurement for this Statistic. Valid values for TimeStatistic measurements are "HOUR", "MINUTE", "SECOND", "MILLISECOND", "MICROSECOND" and "NANOSECOND".

### getDescription

    public java.lang.String getDescription()

  A human-readable description of the Statistic.

### getStartTime

    public long getStartTime()

  The time of the first measurement represented as a long, whose value is the number of milliseconds since January 1, 1970, 00:00:00.

### getLastSampleTime

    public long getLastSampleTime()

  The time of the last measurement represented as a long, whose value is the number of milliseconds since January 1, 1970, 00:00:00.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.